You are not logged in.

#1 2020-05-18 13:14:00

MaxStirner
Member
Registered: 2018-10-24
Posts: 45

lib32-cairo-git missing lib32-libspectre

I recently tried building the lib32-cairo-git package from AUR, and noticed that it requires a package for compiling that is not available in the official repositories or AUR. That package is lib32-libspectre. The maintainer left notes mentioning this in the comments section.

I find it odd such a critical package from the official repositories, doesn’t have all make dependencies in the official repositories along with it like all the other packages do.

Offline

#2 2020-05-18 13:29:35

Trilby
Inspector Parrot
Registered: 2011-11-29
Posts: 23,439
Website

Re: lib32-cairo-git missing lib32-libspectre

MaxStirner wrote:

I find it odd such a critical package from the official repositories...

You're not talking about a critical package from the official repositories.  Critical is subjective, but whether or not it is in the official repos most certainly isn't ... and it isn't.  All dependencies of packages in the repos would be in the repos, but that simply doesn't apply here.

That aside.  Do you have a question?

Edit: and does it even require that package for compiling?  It's listed as an optional dependency not a madedepends.  Although I wouldn't trust the maintainer of that package to tie his own shoes correctly.  He's been perma-banned from these forums many times.

Last edited by Trilby (2020-05-18 13:35:36)


"UNIX is simple and coherent..." - Dennis Ritchie, "GNU's Not UNIX" -  Richard Stallman

Offline

#3 2020-05-18 13:32:53

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 7,611

Re: lib32-cairo-git missing lib32-libspectre

There are no critical packages being talked about here, and the only issue with the official repositories is a missing patch (available in the normal cairo package), lib32-libspectre never seems to come into play.

Offline

#4 2020-05-18 13:34:54

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 9,700
Website

Re: lib32-cairo-git missing lib32-libspectre

The AUR isn't an official repository.

https://wiki.archlinux.org/index.php/Of … positories
https://wiki.archlinux.org/index.php/Ar … Repository

Furthermore, the maintainer's assertion that their package copies the dependencies of the non-git lib32-cairo package is patently false.

Mod note: Moving to AUR Issues.

Last edited by WorMzy (2020-05-18 13:35:52)


Sakura:-
Mobo: MSI X299 TOMAHAWK ARCTIC // Processor: Intel Core i7-7820X 3.6GHz // GFX: nVidia GeForce GTX 970 // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 5x 1TB HDD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#5 2020-05-18 14:46:27

MaxStirner
Member
Registered: 2018-10-24
Posts: 45

Re: lib32-cairo-git missing lib32-libspectre

@Trilby
I meant critical as in required for basic Xserver usage, like gtk2, but I see your point. The maintainer probably set it as optional so the user could build it himself and see the error, and the fact it’s not available in any repository.

@Scimmia
Where is the patch? There is only a PKGBUILD for lib32-cairo in the official repos, and the prepare section doesn’t have anything that stands out to me.

@Wormzy
I meant lib32-cairo being in the official repositories, not the git version, and I especially didn’t mean to insinuate that the AUR is an official repo.

I’m pretty sure the maintainer meant that the dependencies match, so it should build successfully, especially since it was built so recently.

Last edited by MaxStirner (2020-05-18 20:30:23)

Offline

#6 2020-05-18 14:46:38

loqs
Member
Registered: 2014-03-06
Posts: 10,578

Re: lib32-cairo-git missing lib32-libspectre

diff lib32-cairo-git and lib32-cairo converted to a git package

diff --git a/PKGBUILD b/PKGBUILD
index e8d425f..fe6a6ed 100755
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,8 +1,7 @@
-# Maintainer: Vincent Grande <shoober420@gmail.com>
 # Contributor: Ionut Biru <ibiru@archlinux.org>
 
 pkgname=lib32-cairo-git
-pkgver=1.17.2+17+g52a7c79fd
+pkgver=1.17.2+25+gaee96d175
 pkgrel=1
 pkgdesc="2D graphics library with support for multiple output devices (32-bit)"
 url="https://cairographics.org/"
@@ -12,9 +11,8 @@ provides=(lib32-cairo)
 conflicts=(lib32-cairo)
 depends=(lib32-libpng lib32-libxrender lib32-libxext lib32-fontconfig lib32-pixman lib32-glib2
          cairo)
-makedepends=(lib32-librsvg lib32-gtk2 valgrind git lib32-poppler-glib)
-optdepends=(lib32-libspectre) # Currently not in the offical repos or AUR
-#checkdepends=(ttf-dejavu gsfonts)
+makedepends=(lib32-librsvg lib32-gtk2 gtk-doc valgrind git)
+checkdepends=(ttf-dejavu gsfonts)
 source=("git+https://gitlab.freedesktop.org/cairo/cairo.git")
 sha256sums=('SKIP')
 
@@ -26,13 +24,20 @@ pkgver() {
 prepare() {
   cd cairo
 
+  # Update gtk-doc
+  cp /usr/share/aclocal/gtk-doc.m4 build/aclocal.gtk-doc.m4
+  cp /usr/share/gtk-doc/data/gtk-doc.make build/Makefile.am.gtk-doc
+
+  # Fix typo
+  sed -i 's/have_png/use_png/g' configure.ac
+
   NOCONFIGURE=1 ./autogen.sh
 }
 
 build() {
   export CC="gcc -m32"
   export CXX="g++ -m32"
-  export PKG_CONFIG_PATH="/usr/lib32/pkgconfig"
+  export PKG_CONFIG="i686-pc-linux-gnu-pkg-config"
 
   cd cairo
   ./configure --prefix=/usr \
@@ -53,13 +58,13 @@ build() {
   make
 }
 
-#check() {
-#  cd cairo
+check() {
+  cd cairo
   # FIXME: tests don't pass
-#  env CAIRO_TEST_TARGET=image \
-#      CAIRO_TEST_TARGET_FORMAT=rgba \
-#      CAIRO_TESTS='!pthread-show-text' make -k check || :
-#}
+  env CAIRO_TEST_TARGET=image \
+      CAIRO_TEST_TARGET_FORMAT=rgba \
+      CAIRO_TESTS='!pthread-show-text' make -k check || :
+}
 
 package() {
   cd cairo

Offline

#7 2020-05-18 14:52:47

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 7,611

Re: lib32-cairo-git missing lib32-libspectre

MaxStirner wrote:

@Trilby
I meant critical as in required for basic Xserver usage, like gtk2, but I see your point. The maintainer probably set it as optional so the use could build it himself and see the error, and the fact it’s not available in any repository.

I don't think you know what lib32 is, then. They are, by definition, not critical to a 64 bit system.

MaxStirner wrote:

@Scimmia
Where is the patch? There is only a PKGBUILD for lib32-cairo in the official repos, and the prepare section doesn’t have anything that stands out to me.

The package in Multilib has been updated, so that's no longer an issue.

Last edited by Scimmia (2020-05-18 14:53:02)

Offline

#8 2020-05-18 15:03:43

Trilby
Inspector Parrot
Registered: 2011-11-29
Posts: 23,439
Website

Re: lib32-cairo-git missing lib32-libspectre

1. lib32-cairo isn't necessary to run an X server.  Even putting aside Scimmia's point, cairo isn't necessary to run an X server, though it is a dependency of many graphical applications and toolkits.

2. lib32-spectre is not a dependency of lib32-cairo.  You could have easily checked this yourself.  Yes, you can say that the AUR maintainer of lib32-cairo-git may have said otherwise, but he doesn't have the foggiest clue what he is doing in running linux let alone arch and definitely let alone maintaining a package.  I'd suggest any TUs look at his history (across a few different banned user accounts) on these forums and think about whether there is any reason to allow him to maintain an account on the AUR to submit nonsense there.

If you want to try to build lib32-cairo-git start with the maintained PKGBUILD for lib32-cairo and just update it to use the current git code.

Last edited by Trilby (2020-05-18 15:05:52)


"UNIX is simple and coherent..." - Dennis Ritchie, "GNU's Not UNIX" -  Richard Stallman

Offline

#9 2020-05-18 15:10:48

MaxStirner
Member
Registered: 2018-10-24
Posts: 45

Re: lib32-cairo-git missing lib32-libspectre

@Scimmia
For Steam, and 32bit gtk2 programs in general, yes it is critical. Again, I do see what you mean though.

@loqs
Playing around with the PKGBUILD myself, I found out it was a diff between “export PKG_CONFIG” and “export PKG_CONFIG_PATH” under the build section.

@Trilby
Anything gtk2 related is critical in my book, but I do see your point. The fact that libspectre is a build requirement for the 64bit libs of cairo and the build was failing asking for it says otherwise.

I saw what he did. It was a slight oversight and I emailed him.

Last edited by MaxStirner (2020-05-18 20:36:13)

Offline

#10 2020-05-18 15:23:45

loqs
Member
Registered: 2014-03-06
Posts: 10,578

Re: lib32-cairo-git missing lib32-libspectre

In the build function yes.

In makedepends shoober420 dropped gtk-doc and added lib32-poppler-glib
Shoober420 added optdepends=(lib32-libspectre) but without a matching makedepends entry as lib32-spectre support is not dlopened it needs to be linked in at build time hence the optdepends is incorrect.
Shoober420 disable all tests instead of selectively disabling failing tests.

MaxStirner please look at shoober420's posting history on these forums including the reasons numerous topics were binned.

Offline

#11 2020-05-18 15:57:09

MaxStirner
Member
Registered: 2018-10-24
Posts: 45

Re: lib32-cairo-git missing lib32-libspectre

@loqs

I’ve been to his GitHub, you can google it really easily. I know that him and a Gentoo user and responsible for the creation of the “libudev0-shim” a while back to get Steam running natively without the runtime on Linux. It’s still being used to this day.

I saw he was banned for being a “help vampire”...

Last edited by MaxStirner (2020-05-18 20:33:13)

Offline

#12 2020-05-19 20:42:40

eschwartz
Trusted User/Bug Wrangler
Registered: 2014-08-08
Posts: 3,308

Re: lib32-cairo-git missing lib32-libspectre

MaxStirner wrote:

@loqs

I’ve been to his GitHub, you can google it really easily. I know that him and a Gentoo user and responsible for the creation of the “libudev0-shim” a while back to get Steam running natively without the runtime on Linux. It’s still being used to this day.

I saw he was banned for being a “help vampire”...

https://lists.archlinux.org/pipermail/a … 34503.html

The entire mailing list thread is hilarious and a bit sad. Reading it will provide an interesting degree of enlightenment regarding multiple teams of archlinux staff and whether we think his contributions are in "good faith". Two forum administrators also posted there on the topic, there's an included link to one of the forum profiles he created to circumvent his ban.

I'll have to say, however, that "being responsible for the creation of the libudev0-shim" seems like it's his sole contribution to world of computing, and it's all been downhill since then, and the annoyances he produces far outweigh his single positive contribution.

As a matter of fact, his steam bug report was brought up there too, by him. I invite you to read a community member's response to that: https://lists.archlinux.org/pipermail/a … 34506.html
(Spoiler: his bragging and considering himself better than other people "because I discovered a steam bug, so I contribute to Arch a lot, and you, jasonwryan, are just a foolish forum administrator who doesn't contribute anything"... this too is just leaving a bad taste in everyone's mouths.)

Being banned multiple times for being a help vampire, then for using sockpuppets and generally trying to circumvent bans, getting suspended from the AUR for being a complete asshole to the TUs responsible for reading orphan requests... well, it doesn't endear you to people.

I dunno. Maybe he's changed since then. Anything is possible. I'm skeptical though.


Managing AUR repos The Right Way -- aurpublish (now a standalone tool)

Offline

Board footer

Powered by FluxBB